@media(max-width: 1200px){
    .buy__content--img{
        max-width: 550px;
        max-height: 578px;
    }
    .technology__list-title {
        font-size: 50px;
    }
    .technology__list-item {
        font-size: 18px;
        line-height: 20px;
    }
    .gallery__box {
        display: flex;
        justify-content: space-between;
    }
    .gallery__min {
        grid-template-columns: 389px 182px;
        grid-template-rows: 350px 242px;
    }
    .gallery__min-img-1 {
        max-width: 585px;
    }
    .gallery__min-img-2 {
        max-width: 390px;
    }
    .gallery__min-img-3 {
        max-width: 167px;
    }
    .gallery__max {
        grid-template-columns: 180px 264px 225px;
        grid-template-rows: 197px 151px 155px;
    }
    .gallery__max-img-4{
        max-width: 280px;
    }
    .gallery__max-img-5{
        max-width: 408px;
    }  
    .gallery__max-img-6{
        max-width: 180px;
    }  
    .gallery__max-img-7{
        max-width: 265px;
    }  
    .gallery__max-img-8{
        max-width: 226px;
    }  
    .gallery__max-text{
        max-width: 180px;
        height: 156px;
        font-size: 16px;
        line-height: 25px;
    }
    .gallery__max-img-10{
        max-width: 510px;
    }

    .footer__title {
        font-size: 50px;
    }
    
}
@media(max-width: 1100px){
    .header{
        min-height: 65vh;
    }
    .header__top {
        align-items: center;
        padding: 20px 0;
        gap: 45px;
        justify-content: center;
    }
    .header__title {
        font-size: 45px;
        line-height: 45px;
        margin-top: 160px;
    }
    .header__text {
        font-size: 18px;
        line-height: 20px;
        margin-bottom: 13px;
    }
    .header__content-box {        
        max-width: 550px;
        text-align: center;
        margin-right: 10%;
    }
    .header__decor-text--one {
        margin-right: 10%;
        margin-left: auto;
        margin-bottom: 30px;
        font-size: 110px;
    }
    .header__decor-text--two {
        margin-right: 60%;
        margin-left: auto;
        font-size: 110px;
        margin-bottom: -55px;
    }
    .header__decor-text--three{
         margin-right: 20%;
         margin-bottom: -28px;
        font-size: 18px;
        line-height: 30px;
    }
    header::before,
    .header::after {
        height: 300px;
    }

    .buy__title {
        font-size: 45px;
        padding-bottom: 25px;
    }
    .buy__item-text {
        line-height: 15px;
    }
    
    .buy__information {
        height: 455px;
        margin-bottom: 50px;
    }
    .buy__price {
        width: 120px;
        height: 120px;
        font-size: 20px;
    }
    .buy__btn{
        font-size: 30px;
    }
    .buy__content--img {
        max-width: 540px;
        max-height: 568px;
    }
    .gallery__min {
     grid-template-columns: 293px 127px;
     grid-template-rows: 270px 183px;
    }
    .gallery__min-img-1 {
        max-width: 450px;
    }
    .gallery__min-img-2 {
        max-width: 295px;
    }
    .gallery__min-img-3 {
        max-width: 127px;
    }
    .gallery__text {
        margin-top: 40px;
    }
  
}

@media(max-width:950px){
    .info__top{
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    row-gap: 0px;
}
    .info__top--text {
    padding-top: 200px;
    max-width: 290px;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    color: #FFFFFF;
    position: relative;
}
    .info__top {
    display: flex;
    gap: 80px;
    margin-bottom: 0;
}
    .info__top--text{
    border: none;
}
    .info__top-img {
    margin-top: 0;
}
    .info__specs {
    justify-content: space-between;
}
    .info__specs-title {
    font-size: 45px;
}
    .info__specs-caption {
    min-width: 215px;
    padding-right: 25px;
    margin: 0;
}
    .buy__title {
    padding-bottom: 15px;
}

    .buy__information {
    height: 385px;
}
    .buy__item-caption {
    font-size: 16px;
}
    .buy__item-text {
    font-size: 16px;
    padding-bottom: 15px;
}
    .buy__price {
    width: 120px;
    height: 118px;
    font-size: 20px;
}
    .buy__btn {
    font-size: 25px;
    padding: 10px 39%;
}
    .buy__content--img {
    max-width: 380px;
    max-height: 408px;
    margin-top: 65px;
}
    .technology__top-box {
    left: 0;
    bottom: 45px;
}
    .technology__list-title {
    font-size: 45px;
    line-height: 55px;
    padding-bottom: 30px;
}
    .technology__list-item {
    font-size: 16px;
    line-height: 15px;
}
    .technology__list-item::before {
    width: 0.5em;
}
    .gallery__text {
    font-size: 16px;
}
    .gallery__min {
    grid-template-columns: 224px 98px;
    grid-template-rows: 206px 141px;
    margin-top: -22%;
    padding: 30px 26px 30px;
    gap: 15px 20px;
}
    .gallery__min::before {
    border-radius: 160px 0px 160px;
}
    .gallery__min-img-1 {
    max-width: 342px;
}
    .gallery__min-img-2 {
    max-width: 225px;
}
    .gallery__min-img-3 {
    max-width: 98px;
}
    .gallery__max {
    gap: 15px 20px;

}
    .footer__title {
         font-size: 45px;
    }
    .social__title,
    .footer__menu-link{
        font-size: 16px;
    }
}
@media(max-width: 800px){
    .header {
        min-height: 50vh;
    }
    .header__top {
        padding: 10px 0;
        gap: 30px;
    }
    .header__btn {
        padding: 10px 60px;
        font-size: 16px;
    }
    .header__phone{
        font-size: 18px;
    }
    .logo svg {
        max-width: 120px;
    }
    .header__title {
        font-size: 28px;
        line-height: 20px;
         margin-top: 150px;
    }
    .header__text {
        font-size: 16px;
        line-height: 12px;
        margin-bottom: 10px;
    }
    .header__content-box {
        margin-right: 0;
    }
    .header__decor-text--one {
        margin-right: 5%;
        margin-bottom: 0px;
        font-size: 100px;
    }
    .header__decor-text--two {
        margin-right: 52%;
        font-size: 100px;
        margin-bottom: -75px;
    }
    .header__decor-text--three {
        margin-right: 15%;
        margin-bottom: -40px;
        font-size: 18px;
        line-height: 25px;
    }
    header::before, .header::after {
        height: 200px;
    }
    .info{
        margin-top: 0;
    }
    .info::before {
        height: 0;
    }
    .info__top {
        gap: 20px;
    }
    .info__top--text{
        font-size: 16px;
    }
    .info__specs-title {
        font-size: 40px;
    }
    .info__specs-list {
    font-size: 16px;
    }
    .buy__title {
        font-size: 40px;
        line-height: 45px;
    }
    .buy__price {
        width: 80px;
        height: 80px;
        font-size: 16px;
        right: -80px;
    }
    .buy__content--img {
        max-width: 320px;
        max-height: 348px;
        margin-top: 65px;
    }
    .gallery__max {
        grid-template-columns: 122px 192px 159px;
        grid-template-rows: 140px 111px 112px;
    }
    .gallery__max-img-4 {
        max-width: 198px;
    }
    .gallery__max-img-5 {
        max-width: 290px;
    }
    .gallery__max-img-6 {
        width: 123px;
    }
    .gallery__max-img-7 {
        max-width: 192px;
    }
    .gallery__max-img-8 {
        max-width: 160px;
    }
    .gallery__max-text {
        width: 123px;
        height: 114px;
        font-size: 12px;
        line-height: 16px;
        border-radius: 0px 0px 0px 85px;
    }
    .gallery__max-img-10 {
        max-width: 372px;
    }
    .footer{
        padding: 50px 0 40px;
    }
    .footer__logo svg{
        max-width: 270px;
    }
    .footer__gallery{
        gap: 20px;
    }
    .menu__item{
        margin: 0 10px;
    }
}
@media(max-width: 700px) {
    .info__top--text{
        padding-top: 120px;
        padding-bottom: 80px;
        max-width: 500px;
    }
    .info__btn {
        bottom: -80px;
        left: 0;
    }
    .info__specs{
        flex-direction: column;
        gap: 10px;
    }

    .buy {
        padding: 50px 0;
    }
    .buy__inner {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }
    .buy__content--img {
        margin-top: 0px;
        margin-bottom: 20px;
    }
    .buy__price {
        width: 80px;
        height: 80px;
        font-size: 16px;
        right: 0px;
        bottom: 100px;
    }
    .buy__btn {
        padding: 5px 39%;
    }
    .technology__top-box {
        bottom: 200px;
    }
    .technology__list-title {
        font-size: 40px;
        line-height: 40px;
        padding-bottom: 15px;
        max-width: 440px;
    }
    .technology__list-item {
        margin-bottom: 10px;
    }
    .gallery__text {
        margin-top: 10px;
        margin-bottom: 50px;
    }
    .gallery__box {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        gap: 30px;
    }
    .technology__btn {
        left: 0;
        right: 0;
        top: 60vh;
    }
    .gallery__min {
        margin-bottom: 0;
    }
    .footer__top {
        position: relative;
        justify-content: center;
    }
    .footer__logo {
        position: absolute;
        margin-top: 0;
        display: flex;
        justify-content: center;
        right: 0;
        left: 0;
    }
    .footer__title {
        font-size: 40px;
    }
    .footer_form-btn {
        margin-left: 50%;
        transform: translateX(-50%);
    }
    .social__title {
        margin-top: 50px;
        margin-bottom: 20px;
    }
    .footer__gallery {
        grid-template-columns: repeat(2 , 1fr);
    }
    .footer__menu-list {
        justify-content: center;
        flex-wrap: wrap;
    }
    .menu__item {
        margin: 0 10px 20px;
    }
}
@media(max-width: 600px) {
    .header{
        min-height: 45vh;
    }
    .header__top{
        justify-content: space-between;
    }

    .logo svg {
        max-width: 90px;
    }
    .header__btn {
        padding: 10px 40px;
        font-size: 16px;
    }
    .header__phone {
        font-size: 16px;
    }
    .header__title {
        font-size: 22px;
        line-height: 10px;
        margin-top: 125px;
    }
    .header__text {
        font-size: 12px;
        line-height: 8px;
        margin-bottom: 10px;
    }
    .header__decor-text--one {
        font-size: 70px;
        margin-bottom: -10px;
    }
    .header__decor-text--two {
        font-size: 70px;
        margin-bottom: -63px;
    }
    .header__decor-text--three {
        margin-right: 15%;
        margin-bottom: -12px;
        font-size: 12px;
        line-height: 15px;
    }
    header::before, .header::after {
        height: 170px;
        bottom: 15px;
    }
    .info__top--text{
        font-size: 12px;
        max-width: 420px;
    }
    .info__specs-title {
        font-size: 30px;
    }
    .info__specs-list {
    font-size: 12px;
    }
    .info__specs-item {
        padding-bottom: 5px;
    }
    .info__top-img{
        width: 180px;
    }
    .info__specs-caption {
        min-width: 190px;
        padding-right: 10px;
    }
    .buy__title {
        font-size: 30px;
    }
    .buy__information {
        margin-bottom: 40px;
    }
    .technology__list-title {
        font-size: 30px;
        max-width: 320px;
    }
    .gallery__max {
        grid-template-columns: 160px 160px;
        grid-template-rows: 241px 165px 110px 110px 105px;
    }
    .gallery__max-img-4 {
        max-width: 340px;
        grid-column: 1/-1;
    }
    .gallery__max-img-5 {
        max-width: 340px;
        grid-column: 1/-1;
    }
    .gallery__max-img-6 {
        width: 161px;
        height: 110px;
    }
    .gallery__max-img-7 {
        max-width: 160px;
        height: 110px;
    }
    .gallery__max-img-8 {
        max-width: 160px;
    }
    .gallery__max-text {
        width: 160px;
        height: 110px;
    }
    .gallery__max-img-10 {
        max-width: 340px;
        grid-column: 1/ -1;
    }
}
@media(max-width: 420px){
    .container {
        padding: 0px 5px;
    }
    .header {
        background-position: left -180px center;
    }
    .header__phone {
        display: none;
    }
    .header__phone-icon {
        display: block;
    }

    .header__decor-text--one {
        margin-right: 0;
        font-size: 55px;
        margin-bottom: -7px;
    }
    .header__decor-text--two {
        font-size: 55px;
        margin-right: 48%;
        margin-bottom: -40px;
    }
    .header__decor-text--three {
        margin-right: 5%;
        margin-bottom: 0px;
    }
    header::before, .header::after {
        bottom: 25px;
    }
    .technology__top-box {
        bottom: 200px;
        width: 100%;
    }

    .technology__list-item {
        width: 100%;
    }
    .gallery__min {
        grid-template-columns: 176px 74px;
        grid-template-rows: 162px 108px;
        padding: 20px 17px 20px;
        margin-top: -40%;
    }
    .gallery__min-img-1 {
        max-width: 270px;
    }
    .gallery__min-img-2 {
        max-width: 177px;
    }
    .gallery__min-img-3 {
        max-width: 75px;
    }
    .gallery__max {
        grid-template-columns: 135px 135px;
        grid-template-rows: 206px 140px 110px 94px 89px;
    }
    .gallery__max-img-4 {
        max-width: 290px;
    }
    .gallery__max-img-5 {
        max-width: 290px;
    }
    .gallery__max-img-6 {
        width: 135px;
    }
    .gallery__max-img-7 {
        max-width: 135px;
    }
    .gallery__max-img-8 {
        max-width: 135px;
    }
    .gallery__max-text {
        width: 135px;
        height: 95px;
    }
    .gallery__max-img-10 {
        max-width: 290px;
    }
    .footer__logo svg{
        width: 200px;
    }
    .footer__form-name-1 {
        margin-bottom: 30px;
    }
}

@media(max-width: 380px)
{
    .header__title {
        margin-top: 60px;
    }
    .technology__btn {
        top: 50vh ;
    }
}
